# Turn off the brp-python-bytecompile script 
# because of /usr/lib/python2.7/site-packages/noethys/Outils/C866CA3A-32F7-11D2-9602-00C04F8EE628x0x5x0.py 
%define __brp_python_bytecompile %{nil}

%define   oname Noethys

Name:		noethys
Version:	1.1.8.6
Release:	%mkrel 2
Summary:	Software to handle "multi activity" centers
License:	GPLv2
Group:		Archiving/Other
URL:		http://noethys.com/
Source0:	%version.tar.gz
Patch0:         Noethys-1.1.7.1-disable-update-checking.patch
BuildArch:      noarch

Requires:       wxPython
Requires:       python-pytz
Requires:       python2-appdirs
Requires:       python-dateutil
Requires:       python-numpy
Requires:       python-pillow
Requires:       python-mysql
Requires:       python-sqlalchemy
Requires:       python-crypto
Requires:       python-reportlab
Requires:       python-paramiko
Requires:       python-psutil

Requires:       python-gi
Requires:       python-OpenSSL
Requires:       python-serial
Requires:       python-zope-interface
Requires:       python-twisted

%description
Software to handle "multi activity" centers

%files 
%_bindir/%name
%_datadir/%name

#--------------------------------------------------------------------

%prep
%setup -q -n %oname-%version 
%autopatch -p1

%build

%install
mkdir -p %buildroot%_datadir
mkdir -p %buildroot%_bindir
cp -fr %name %buildroot%_datadir
pushd %buildroot%_bindir
	ln -s %_datadir/%name/Noethys.py %name
	chmod +x %buildroot%_datadir/%name/%oname.py
popd 


%changelog
* Mon Jan 30 2017 neoclust <neoclust> 1.1.8.6-2.mga5
+ Revision: 1084197
- Fix use of Nomadhys
- New version 1.1.8.6
- Adapt requires for mageia 5
- Fix spec file
- Prepare for backport
- New version 1.1.8.5
- New version 1.1.8.0

* Tue Nov 08 2016 neoclust <neoclust> 1.1.7.6-2.mga6
+ Revision: 1065821
- Fix minimal requires

* Thu Nov 03 2016 neoclust <neoclust> 1.1.7.6-1.mga6
+ Revision: 1064890
- New version 1.1.7.6

* Sun Oct 16 2016 tv <tv> 1.1.7.1-8.mga6
+ Revision: 1061029
- switch to %%autopatch (mga#15579)

* Wed Aug 31 2016 neoclust <neoclust> 1.1.7.1-7.mga6
+ Revision: 1049595
- Add python-reportlab as a requires

* Wed Aug 31 2016 neoclust <neoclust> 1.1.7.1-6.mga6
+ Revision: 1049573
- Add more default requires

* Sun Aug 28 2016 neoclust <neoclust> 1.1.7.1-5.mga6
+ Revision: 1049316
- Disable new version checking

* Mon Aug 01 2016 neoclust <neoclust> 1.1.7.1-4.mga6
+ Revision: 1044226
- Requires python-mysql

* Mon Aug 01 2016 neoclust <neoclust> 1.1.7.1-3.mga6
+ Revision: 1044206
- Requires python-pillow

* Wed Jul 27 2016 neoclust <neoclust> 1.1.7.1-2.mga6
+ Revision: 1043802
- Fix minimal requires

* Wed Jul 27 2016 neoclust <neoclust> 1.1.7.1-1.mga6
+ Revision: 1043795
- imported package noethys

